<?php
	@session_start();
    if (!isset($_SESSION["admin"]["id"])) {
        echo "<script>location.href='index.php';</script>";
    }
    
    include "config/conf.php";

    $images_arr = array();
    $i=$erro=0;
    foreach($_FILES['images']['name'] as $key=>$val){
    	$i++;
        //upload and stored images
        $target_dir = "../../downloads/";

        $extensao = pathinfo($_FILES['images']['name'][$key]);
		$extensao = $extensao['extension'];

		$dados = explode("_",$_FILES['images']['name'][$key]);

		$n = count($dados);
		$tipo = $dados[0];

		if ($tipo == "BL") $tipo = "Boleto";

		$empresa = $dados[1];
		$cnpj = $dados[2];
		$mes = $dados[3];

		$mes = explode(".",$mes);
		$mes = $mes[0];

		$sql = "select * from cliente where cnpj = '$cnpj' limit 1";
		$consulta = $db->prepare($sql);
		$consulta->execute();
		$dados = $consulta->fetch(PDO::FETCH_OBJ);

		if ($mes == "JANEIRO") $mes = "01";
		else if ($mes == "FEVEREIRO") $mes = "02";
		else if ($mes == "MARCO") $mes = "03";
		else if ($mes == "ABRIL") $mes = "04";
		else if ($mes == "MAIO") $mes = "05";
		else if ($mes == "JUNHO") $mes = "06";
		else if ($mes == "JULHO") $mes = "07";
		else if ($mes == "AGOSTO") $mes = "08";
		else if ($mes == "SETEMBRO") $mes = "09";
		else if ($mes == "OUTUBRO") $mes = "10";
		else if ($mes == "NOVEMBRO") $mes = "11";
		else $mes = "12";

		@$nome = $dados->id."_".md5($cnpj)."_".$mes.date("Y").".".$extensao;

		$target_file = $target_dir.$nome;

		if ( !empty ( $dados->id ) ) {

			if(move_uploaded_file($_FILES['images']['tmp_name'][$key],$target_file)){
	            $images_arr[] = $target_file;
	            $data = date("Y-m-d");

	            $sql = "select * from arquivo where nome = ? limit 1";
	            $consulta2 = $db->prepare($sql);
	            $consulta2->bindParam(1,$nome);
				$consulta2->execute();
				$dados2 = $consulta2->fetch(PDO::FETCH_OBJ);

				if ( !empty ( $dados2->id ) ) {

					echo "<p class='alert alert-danger'>O arquivo $nome já foi registrado anteriormente</p>";

				} else {

					$sql3 = "select * from arquivo where arquivo = ? limit 1";
					$consulta3 = $db->prepare($sql3);
		            $consulta3->bindParam(1, $nome);
		            $consulta3->execute();
		            $dados3 = $consulta3->fetch(PDO::FETCH_OBJ);



		            $sql = "insert into arquivo values(NULL,?,?,?,?,?)";
		            $consulta = $db->prepare($sql);
		            $consulta->bindParam(1, $tipo);
		            $consulta->bindParam(2, $dados->id);
		            $consulta->bindParam(3, $data);
		            $consulta->bindParam(4, $nome);
		            $consulta->bindParam(5, $dados->valor);

					if ( $consulta->execute() )
						echo "<p class='alert alert-success'>Arquivo $nome enviado com sucesso - $dados->nome</p>";
					else {
						if ( !empty( $dados3->id ) ) 

		            		echo "<p class='alert alert-info'>$dados->nome - $nome já inserido</p>";
		            	else
							echo "<p class='alert alert-danger'>Erro ao gravar $nome no banco : ".$consulta->errorInfo()[2]."</p>";
					}
					

				}

	        } else {
	        	echo "<p class='alert alert-danger'>Erro ao enviar $cnpj - $nome - $empresa</p>";
	        	$erro++;
	        }

	       

		} else {
			echo "<p class='alert alert-warning'>Não foi possível encontrar $cnpj - $empresa</p>";
		}
        
        

    }
    echo "<p class='alert alert-info'>$i boletos importados<br>$erro com erros</p>";
    
?>